Bug 469710 - Various firewire bugs fixed upstream
Various firewire bugs fixed upstream
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jay Fenlason
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 11:35 EST by Jay Fenlason
Modified: 2014-08-31 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:11:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2008-11-03 11:35:49 EST
Description of problem:
      firewire: Survive more than 256 bus resets
      firewire: fix struct fw_node memory leak
      firewire: fw-ohci: don't leak dma memory on module removal
      firewire: fw-sbp2: fix races
      firewire: fw-ohci: initialization failure path fixes                   
      firewire: fw-sbp2: delay first login to avoid retries

Version-Release number of selected component (if applicable):
2.6.18-120.el5

How reproducible:
Always

Steps to Reproduce:
1.See the individual bugs.
2.
3.
  
Actual results:
Machine hangs, memory leaks, firewire disks don't get detected.

Expected results:
No hangs, no leaks, disks work as expected.

Additional info:
All of these are in 2.6.28-rc3.  Backporting them is low-risk and simple.
Comment 1 Jay Fenlason 2008-11-04 13:15:21 EST
Also
firewire: fix ioctl() return code
firewire: fix setting tag and sy in iso transmission
firewire: fw-sbp2: fix another small generation access bug
firewire: fw-sbp2: enforce s/g segment size limit
Comment 2 Jay Fenlason 2008-11-05 14:10:58 EST
The "enforce s/g segment size limit" one proved hard to backport, so I dropped it.  The rest were trivial.
Comment 6 Don Zickus 2008-11-18 16:21:11 EST
in kernel-2.6.18-124.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 errata-xmlrpc 2009-01-20 15:11:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.